API ReferenceKnowledge Bases
/public/knowledge-bases/{knowledgeBaseId}
Get a knowledge base
Get a knowledge base
Path Parameters
knowledgeBaseId*string
Header Parameters
X-API-Version?string
Response Body
application/problem+json
application/json
application/json
curl -X GET "https://companion-api.napster.com/public/knowledge-bases/string"{
"id": "string",
"name": "string",
"provider": "azureOpenAI",
"itemsCount": 0,
"created": 0,
"tags": {
"property1": "string",
"property2": "string"
}
}[
{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}
]{
"type": "string",
"title": "string",
"status": 0,
"detail": "string",
"instance": "string",
"property1": null,
"property2": null
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}{
"code": "string",
"description": "string",
"type": "failure",
"numericType": 0
}